<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Ajax form</title>
    <!-- simple css -->
    <link rel="stylesheet" href="form.css" type="text/css">
  </head>
  <body>
    <header>
      <h1>Student Contact Information Form</h1>
    </header>
    <section>
      <form>
        <div class="form">
          <div class="namefield">
            <!-- form validation api used, using pattern attribute in form -->
            <!-- span is used to display error using JQuery -->
            <input type="text" name="fname" value="" placeholder="first name" pattern="^[a-zA-Z `]+$"><span class="error_message"></span>
            <input type="text" name="mname" value="" placeholder="middle name" pattern="^[a-zA-Z `]+$"><span class="error_message"></span>
            <input type="text" name="lname" value="" placeholder="last name" pattern="^[a-zA-Z `]+$"><span class="error_message"></span>
          </div>
          <div class="contactfield">
            <input type="text" maxlength="10" name="mnumber" value="" pattern="^[6-9]\d{9}$" placeholder="mobile number"><span class="error_message"></span>
            <input type="text" name="email" value="" placeholder="email address" pattern="^[a-zA-Z0-9][a-zA-Z0-9_\-\.]+[a-zA-Z0-9]@[a-zA-Z0-9][a-zA-Z0-9_\-\.]+[a-zA-Z0-9].[a-zA-Z0-9]{2,4}$"><span class="error_message"></span>
            <textarea name="address" maxlength="500" placeholder="address"></textarea><span class="error_message"></span>
          </div>
          <button type="button" name="button"> Submit </button><span class="error_message"></span>
        </div>
      </form>
    </section>
    <footer>
      <div >
        <!-- ajax response is loaded here -->
        <p id="success">This field tells if form submited successfully</p>
      </div>
    </footer>
    <!-- jquery and javascript source -->
    <script src="jquery.js" charset="utf-8"></script>
    <script src="form.js" charset="utf-8"></script>
  </body>
</html>
